coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract2609170000

(Common) Query single contract

# 01

Summary

(Common) Query single contract

# 02

Details

Available buyer market: Korea

An API to query a current single contract.

Path

GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/contract

Example endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/contract?contractId=9962
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique seller code issued by Coupang
e.g. A00012345
# 04

Query parameters

NameTypeDescription
contractId*number
Seller's contract ID
# 05

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
httpStatusinteger
HTTP Status Code (Same value with Server response code)
httpStatusMessagestring
HTTP Status Message (Same value with Server response message)
errorMessagestring
This will contain detailed server failure reason message in all status except for HTTP Status 200
dataobject
Single contract data
success
data.success
boolean
True or false
content
data.content
object
A single contract
contractId
data.content.contractId
integer
Seller's contract ID
e.g. 1, 2
vendorContractId
data.content.vendorContractId
integer
Seller's contract code (for Coupang's management purpose)
e.g. -1, 1, 2
sellerId
data.content.sellerId
string
Seller ID
e.g. A00012345
sellerShareRatio
data.content.sellerShareRatio
integer
Seller [funding] rate on the contract(%)
e.g. 100
coupangShareRatio
data.content.coupangShareRatio
integer
Coupang [funding] rate on the contract(%)

예) 100
gmvRatio
data.content.gmvRatio
integer
Monthly sales rate and monthly budget which are automatically generated based on sales in Coupang.
e.g. 100
start
data.content.start
string
Start date and time
e.g. 2018-01-22 00:00:00
end
data.content.end
string
End date and time
e.g. 2018-12-31 23:59:59
type
data.content.type
string
Contract type
e.g. CONTRACT_BASED, NON_CONTRACT_BASED
usedBudget
data.content.usedBudget
boolean
Whether to use budget restriction
e.g. true, false
The value is not in use anymore, and true is set as default
modifiedAt
data.content.modifiedAt
string
Final modification date and time
e.g. 2017-09-25 11:40:01
modifiedBy
data.content.modifiedBy
string
Final editor ID
Pagination
data.Pagination
string
There is no pagination as it is a single contract

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "contractId": 9962,
      "vendorContractId": 7,
      "sellerId": "A00012345",
      "sellerShareRatio": 100,
      "coupangShareRatio": 0,
      "gmvRatio": 100,
      "start": "2018-01-22 00:00:00",
      "end": "2018-12-31 23:59:59",
      "type": "CONTRACT_BASED",
      "useBudget": true,
      "modifiedAt": "2018-01-22 16:07:10",
      "modifiedBy": "allie"
    },
    "pagination": null
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
401401 (check requested parameter)

Please check on seller information permission

Make sure proper vendorID was put in.

401401 (check requested parameter)

Contract ID is invalid for querying

Make sure proper contractID was put in.

401401 (check requested parameter)

Required parameter, 'contractId,' is not present

Make sure contractId exists.